# Aqua-lib

[![npm](https://img.shields.io/npm/v/@fluencelabs/aqua-lib)](https://www.npmjs.com/package/@fluencelabs/aqua-lib)

[Aqua](https://github.com/fluencelabs/aqua) is a new-generation language for distributed systems, the core of [Fluence](https://fluence.network). Aqua programs are executed on many peers, sequentially or in parallel, forming a single-use coordination network. Aqua's runtime is heterogeneous: it includes browsers, servers, devices, all involved in solving a single task. Therefore, Aqua scripts are compiled into several targets at once, with AIR and Typescript as a default.

**Aqua-lib** is the API of the protocol-level functions in the [Fluence](https://github.com/fluencelabs/fluence-cli) network. This API is available on all peers powered by Fluence nodes and a part of the API is available on JS/TS-based peers.


## Documentation

Comprehensive documentation on Fluence is available [here](https://fluence.network/). Detailed instructions and usage examples on Aqua can be found in our dedicated [Aqua Book](https://fluence.dev/docs/aqua-book/introduction).


## Support

Please, file an [issue](https://github.com/fluencelabs/aqua-lib/issues) if you find a bug. You can also contact us at [Discord](https://discord.com/invite/5qSnPZKh7u) or [Telegram](https://t.me/fluence_project).  We will do our best to resolve the issue ASAP.


## Contributing

Any interested person is welcome to contribute to the project. Please, make sure you read and follow some basic [rules](./CONTRIBUTING.md).


## License

All software code is copyright (c) Fluence Labs, Inc. under the [Apache-2.0](./LICENSE) license.

